import React, { useState, useEffect, useRef } from 'react';
import { Row, Col, Space } from 'antd';
import { Select, DatePicker, Form, Button } from '@arco-design/web-react';
import * as $$ from '@/utils/utility';

const FormItem = Form.Item;
const appUrl = $$.appUrl;


const NewFileCheck = (props) => {
	const formRef = useRef()

	return (
		<nav className="filesCheck-nav" style={{ borderRight: '1px solid transparent' }}>
			<Form
				ref={formRef}
				layout='horizontal'
				style={{ marginTop: '24px', marginBottom: '20px' }}
				scrollToFirstError={true}
				initialValues={{
				}}//默认值
			>
				<Row gutter={24} style={{ marginRight: '0px' }}>
					<Col span={7}>
						<FormItem label='材料类型：' field='type'>
							<Select
								placeholder='请选择'
								allowClear
								options={[
									{
										label: '全部',
										value: '',
									},
									{
										label: '申请材料',
										value: '22_00018-101',
									},
									{
										label: '证据材料',
										value: '22_00018-102',
									},
								]}
							/>
						</FormItem>
					</Col>
					<Col span={7}>
						<FormItem
							label='上传时间：'
							field='time'
						>
							<DatePicker.RangePicker
								separator='~'
								style={{ width: '100%' }}
							/>
						</FormItem>
					</Col>
					<Col span={7}>
						<FormItem
							label='上传人类型：'
							field='name'
							onChange={(e) => console.log(e.target.value, 'vvv')}
						>
							<Select
								allowClear
								style={{ width: '100%' }}
								options={[
									{
										label: '工作人员',
										value: 1
									},
									{
										label: '当事人',
										value: 2
									}
								]}
							/>
						</FormItem>
					</Col>
					<Col span={3}>
						<Space>
							<Button size="middle " type='primary'>查询</Button>
							<Button size="middle ">查询</Button>
						</Space>
					</Col>
				</Row>

			</Form>
			<div style={{ display: 'flex' }}>
				<div style={{ width: '200px' }}>
				</div>
				<div style={{ flex: 1 }}>

				</div>
			</div>
		</nav>
	);
};

export default NewFileCheck;
